Summary:  Prelude Hybrid Intrusion Detection System Library
Name:     libprelude
Version:  0.8.10
Release:  alt1
License:  GPL
Group:    System/Libraries

URL:      http://www.prelude-ids.org/

Source:	  http://www.prelude-ids.org/download/releases/%name-%version.tar.gz

#Patch1:	  %name-configure.patch
Patch2:	  %name-%version-ltdl.patch

Requires: libssl

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Mon Dec 20 2004
BuildRequires: gcc-c++ gcc-g77 hostinfo libltdl-devel libssl-devel libstdc++-devel

%description
The Prelude Library is a collection of generic functions providing
communication between the Prelude Hybrid IDS suite components. It
provides a convenient interface for sending alerts to Prelude Manager
with transparent SSL, failover and replication support, asynchronous
events and timer interfaces, an abstracted configuration API (hooking
at the commandline, the configuration line, or wide configuration,
available from the Manager), and a generic plugin API. It allows you
to easily turn your favorite security program into a Prelude sensor.

%description -l ru_RU.KOI8-R
 Prelude    , 
   Prelude Hybrid IDS.  
     Prelude 
SSL,    ,   
 ,   API   API 
.       
   Prelude.

%description -l uk_UA.KOI8-U
̦ Prelude ͦ æ Ц æ,  
Φæ ͦ  Prelude Hybrid IDS.  դ
     Prelude 
SSL, צԦ˦  Ц ̦æ, Φ Ħ 
 ,  Ʀæ API   API
 .       
   Prelude.

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: libssl-devel

%description devel
Libraries, include files, etc you can use to develop Prelude IDS sensors using
the Prelude Library. The Prelude Library is a collection of generic functions
providing communication between the Prelude Hybrid IDS suite componentst
It provides a convenient interface for sending alerts to Prelude Manager with
transparent SSL, failover and replication support, asynchronous events and
timer interfaces, an abstracted configuration API (hooking at the commandline,
the configuration line, or wide configuration, available from the Manager), and
a generic plugin API. It allows you to easily turn your favorite security
program into a Prelude sensor.

%description -l ru_RU.KOI8-R devel
,    .    
  Prelude IDS.  Prelude  
 ,     Prelude
Hybrid IDS.      
 Prelude  SSL,   
,     , 
 API   API  .   
       Prelude.

%description -l uk_UA.KOI8-U devel
̦,  ˦  .    
 ˦ Prelude IDS. ̦ Prelude ͦ æ
Ц æ,   Φæ ͦ  Prelude
Hybrid IDS.  դ    
 Prelude  SSL, צԦ˦  Ц
̦æ, Φ Ħ   , 
Ʀæ API   API  .   
       Prelude.

%prep
%setup -q
%patch2 -p1
%__rm -rf libltdl

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}

%__aclocal
%__autoheader
%__automake
%__autoconf

%configure %{subst_enable static} \
	--enable-ltdl-install=no \
	--localstatedir=%_var \
	--sysconfdir=%_sysconfdir/prelude \
	--prefix=%_usr \
	--enable-openssl 

%make

%install
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
pushd $RPM_BUILD_ROOT/%_usr/%name/include
%__cp config.h $RPM_BUILD_ROOT/%_includedir/%name/
popd

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog README INSTALL
%_bindir/sensor-adduser
%_libdir/%name.so.*
%if_enabled static
%_libdir/%name.a
%endif
%config(noreplace) %_sysconfdir/prelude/prelude-sensors/*
%dir %_var/spool/prelude-sensors
%dir %_sysconfdir/prelude

%files devel
%_bindir/%name-config
%_libdir/%name.so
%_includedir/%name/*.h
%_datadir/gtk-doc/html/%name

%changelog
* Sun Dec 19 2004 Serge A. Volkov <vserge at altlinux.ru> 0.8.10-alt1
- Update to new version 0.8.10
- Update BuildRequires
- Reworked ltdl patch - now we try detect ltdl lib

* Thu May 13 2004 Serge A. Volkov <vserge@altlinux.ru> 0.8.8-alt5.1
- Rebuild with openssl-0.9.7d
- Remove configure options "--enable-gtk-doc"

* Mon Feb  2 2004 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt4
- Minor fixes for Sisyphus
- Add patch for remove and use built-in libltdl

* Sat Dec 20 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt3
- Remove .la files

* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt2
- Minor fixes: %name.so transposed to devel package

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt1
- New release

* Mon Nov 03 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.7-alt3
- Minor build fixes in spec

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.7-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.7-alt1
- New release

* Mon Jun 16 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt2
- Fixed dependence for directories in spec-file

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt1
- Initial build based on original .spec-file 
  by Sylvain GIL <prelude-packaging@tootella.org>
